version: '3'
services:
  kintcare-www:
    build:
      context: .
      dockerfile: docker/Dockerfile
    restart: unless-stopped
    ports:
      - 9051:3000
    stdin_open: true
    working_dir: /usr/src/app
    volumes:
      - ./:/usr/src/app
      - /usr/src/app/node_modules
      - ./src/:/usr/src/app/src
      - ./vendors/:/usr/src/app/vendors
    extra_hosts:
      - apigateway.wrenchboard.app.dev.fluxtra.net:10.20.30.19
      - apigateway.wrenchboard.app.lotus.fluxtra.net:172.31.4.19
    environment:
      - CHOKIDAR_USEPOLLING=true
volumes:
  src:
  public:
